﻿Public MustInherit Class CommandBase
    Friend MustOverride Sub Execute()
    Friend MustOverride Sub Undo()
    Public Event CssChanged(ByVal Sender As Object, ByVal E As CssChangedEventArgs)
    Public Event ImagingChanged(ByVal Sender As Object, ByVal E As ImagingChangedEventArgs)
    Protected Sub onCssChanged(ByVal sender As Object, ByVal e As CssChangedEventArgs)
        RaiseEvent CssChanged(sender, e)
    End Sub
    Protected Sub onImagingChanged(ByVal sender As Object, ByVal e As ImagingChangedEventArgs)
        RaiseEvent ImagingChanged(sender, e)
    End Sub
End Class
Public Class ImagingChangedEventArgs
    Inherits EventArgs
    Public Sub New(ImagePath As String)
        Me.ImagePath = ImagePath
    End Sub
    Public Property ImagePath As String
End Class