﻿Public Enum GlowMode
    Gradient = 0
    TopGlow = 1
    Contrast = 2
    Lighten = 3
    Darken = 4
    VeryLight = 5
    VeryDark = 6
    Solid = 7
End Enum
Public Class CornerRadius
    Public Property LeftTop As Integer
    Public Property RightTop As Integer
    Public Property LeftBottom As Integer
    Public Property RightBottom As Integer
    Public Sub New(ByVal LeftTop As Integer, ByVal RightTop As Integer, ByVal LeftBottom As Integer, ByVal RightBottom As Integer)
        Me.LeftBottom = LeftBottom
        Me.LeftTop = LeftTop
        Me.RightBottom = RightBottom
        Me.RightTop = RightTop
    End Sub
End Class
Public Enum CornerType
    LeftTop
    RightTop
    LeftBottom
    RightBottom
End Enum
Public Class BorderLine
    Public Property Size As Integer
    Public Property Color As Color
    Public Property Type As BorderType
    Public Sub New()
        Size = 0
        Color = Drawing.Color.Black
    End Sub
    Public Sub New(ByVal Size As Integer, ByVal Color As Color, ByVal Type As BorderType)
        Me.Size = Size
        Me.Color = Color
        Me.Type = Type
    End Sub
    Public ReadOnly Property Pen As Pen
        Get
            Dim p As New Pen(Color)
            p.Width = Size
            Return p
        End Get
    End Property
End Class
Public Enum BorderType
    Left
    Top
    Right
    Bottom
End Enum