﻿Public Class ImageOperationsCommand
    Inherits NewImageCommand
    Private _operations() As ImageOperationBase
    Public Sub New(ByVal ImageName As String, ByVal Width As Integer, ByVal Height As Integer, ByVal ParamArray Operations() As ImageOperationBase)
        MyBase.New(ImageName, Width, Height)
        _operations = Operations
    End Sub

    Public Overrides Sub ManipulateBitmap()
        For Each op As ImageOperationBase In _operations
            op.ExecuteExtension(g, b)
        Next
    End Sub
End Class